View Issue Details

IDProjectCategoryView StatusLast Update
0003019Ham Radio DeluxeEnhancementpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0003019: Build script should mark MIME type of files uploaded to Google Drive
DescriptionWe don't (accurately) set the MIME type for the executable sent to Google drive -- they're marked as a 7z/Archive. This makes things a bit goofy for human users of the Google Drive user interface, since the file type is misidentified.


TagsNo tags attached.
ModuleSetup
Sub-Module(select)
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-07 16:03

manager   ~0006903

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4677

WA9PIE

2019-01-09 15:15

administrator   ~0006932

How do I test this?

K7ZCZ

2019-01-09 17:06

manager   ~0006938

1) Go to Goole Drive's "HRD alpha builds / 6.5 Alpha" folder.

2) Check out older builds, SetupHRD65_166.exe and older. They have a plain icon. When selecting a file, open the "Details" pane. Google Drive says the type is "compressed archive", which is incorrect.

3) Check out newer builds, starting with SetupHRD65_167,.exe. They have a blue page icon. With such a file selected, the "Details" pane says type "Unknown file" ... which is actually correct. We might eventually find a better MIME type that Google _totally_ supports, but this is what we have for now.

See also: https://developers.google.com/drive/api/v3/mime-types

K7ZCZ

2019-01-09 18:17

manager   ~0006939

Prolly doesn't need to be public, BTW, if that's what you're asking. It's our build process intenrally, and how we mark files between the building machine and Google Drive when they land there.

WA9PIE

2019-01-10 21:47

administrator   ~0006951

I see it now. Validated.

Issue History

Date Modified Username Field Change
2019-01-03 13:27 K7ZCZ New Issue
2019-01-07 16:03 K7ZCZ Assigned To => K7ZCZ
2019-01-07 16:03 K7ZCZ Status new => resolved
2019-01-07 16:03 K7ZCZ Resolution open => fixed
2019-01-07 16:03 K7ZCZ Note Added: 0006903
2019-01-07 18:06 K7ZCZ Fixed in Version => 6.5.0.168
2019-01-09 15:15 WA9PIE Note Added: 0006932
2019-01-09 17:06 K7ZCZ Note Added: 0006938
2019-01-09 17:07 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-01-09 18:17 K7ZCZ Note Added: 0006939
2019-01-10 21:47 WA9PIE Status resolved => closed
2019-01-10 21:47 WA9PIE Description Updated View Revisions
2019-01-10 21:47 WA9PIE Module (select) => Setup
2019-01-10 21:47 WA9PIE Testing Not Started => Beta Successful
2019-01-10 21:47 WA9PIE Note Added: 0006951
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.168 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe